Bug 16649 - OpenLibrarySearch.t fails when building packages
Summary: OpenLibrarySearch.t fails when building packages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Galen Charlton
URL:
Keywords:
Depends on: 6624
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-03 14:15 UTC by Mirko Tietgen
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16649: Make OpenLibrarySearch test pass even if launches offline (1.13 KB, patch)
2016-06-04 11:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16649: Make OpenLibrarySearch test pass even if launches offline (1.18 KB, patch)
2016-06-06 05:21 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 16649: Make OpenLibrarySearch test pass even if launches offline (1.23 KB, patch)
2016-06-06 06:18 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 16649: Make OpenLibrarySearch test pass even if launches offline (1.28 KB, patch)
2016-06-07 01:54 UTC, Galen Charlton
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2016-06-03 14:15:49 UTC
Use of uninitialized value $_[0] in string eq at /usr/share/perl5/JSON.pm line 159.
malformed JSON string, neither array, object, number, string or atom, at character offset 0 (before "(end of string)") at t/OpenLibrarySearch.t line 25
# Looks like your test exited with 22 before it could output anything.
t/OpenLibrarySearch.t ............... 
Dubious, test returned 22 (wstat 5632, 0x1600)
Failed 1/1 subtests
Comment 1 Jonathan Druart 2016-06-04 11:28:56 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2016-06-06 05:21:34 UTC Comment hidden (obsolete)
Comment 3 Mirko Tietgen 2016-06-06 06:18:38 UTC Comment hidden (obsolete)
Comment 4 Galen Charlton 2016-06-07 01:54:26 UTC
Created attachment 52107 [details] [review]
Bug 16649: Make OpenLibrarySearch test pass even if launches offline

Test plan:
  prove t/OpenLibrarySearch.t
should return green even if you are offline

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Signed-off-by: Galen Charlton <gmcharlt@gmail.com>
Comment 5 Jonathan Druart 2016-06-07 08:14:21 UTC
3 signed-offs and trivial patch, skipping QA.
Comment 6 Kyle M Hall 2016-06-10 17:05:59 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 7 Frédéric Demians 2016-06-15 07:44:25 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 8 Julian Maurice 2016-06-16 09:06:41 UTC
Not needed in 3.22.x